Package org.flowable.variable.api.persistence.entity

# Interface VariableInstance

All Superinterfaces:
  `ValueFields`

public interface VariableInstance extends ValueFields
Generic variable class that can be reused for V6 and V5 engine.

Author:
  Tijs Rademakers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  `String`
  `getMetaInfo()`
  `String`
  `getProcessDefinitionId()`
  `String`
  `getScopeDefinitionId()`
  `String`
  `getTypeName()`
  `Object`
  `getValue()`
  `default boolean`
  `isReadOnly()`
  `void`
  `setExecutionId(String executionId)`
  `void`
  `setId(String id)`
  `void`
  `setMetaInfo(String metaInfo)`
  `void`
  `setName(String name)`
  `void`
  `setProcessDefinitionId(String processDefinitionId)`
  `void`
  `setProcessInstanceId(String processInstanceId)`
  `void`
  `setScopeDefinitionId(String scopeDefinitionId)`
  `void`
  `setScopeId(String scopeId)`
  `void`
  `setScopeType(String scopeType)`
  `void`
  `setSubScopeId(String subScopeId)`
  `void`
  `setTaskId(String taskId)`
  `void`
  `setTypeName(String typeName)`
  `void`
  `setValue(Object value)`

  ### Methods inherited from interface org.flowable.variable.api.types.ValueFields

  `getBytes, getCachedValue, getDoubleValue, getExecutionId, getLongValue, getName, getProcessInstanceId, getScopeId, getScopeType, getSubScopeId, getTaskId, getTextValue, getTextValue2, setBytes, setCachedValue, setDoubleValue, setLongValue, setTextValue, setTextValue2`

- ## Method Details

  - ### getId

    String getId()

  - ### setId

    void setId(String id)

  - ### setName

    void setName(String name)

  - ### setExecutionId

    void setExecutionId(String executionId)

  - ### setProcessInstanceId

    void setProcessInstanceId(String processInstanceId)

  - ### setProcessDefinitionId

    void setProcessDefinitionId(String processDefinitionId)

  - ### getProcessDefinitionId

    String getProcessDefinitionId()

  - ### getValue

    Object getValue()

  - ### setValue

    void setValue(Object value)

  - ### getTypeName

    String getTypeName()

  - ### setTypeName

    void setTypeName(String typeName)

  - ### isReadOnly

    default boolean isReadOnly()

  - ### setTaskId

    void setTaskId(String taskId)

  - ### setScopeId

    void setScopeId(String scopeId)

  - ### setSubScopeId

    void setSubScopeId(String subScopeId)

  - ### setScopeType

    void setScopeType(String scopeType)

  - ### setScopeDefinitionId

    void setScopeDefinitionId(String scopeDefinitionId)

  - ### getScopeDefinitionId

    String getScopeDefinitionId()

  - ### getMetaInfo

    String getMetaInfo()

  - ### setMetaInfo

    void setMetaInfo(String metaInfo)